#pragma once
#include "ctrl_app_types.h"

void doNoting(APP_data_t *app_data);
void backToMain(APP_data_t *app_data);
void blockFocusAtMaxAndMin(APP_data_t *app_data);
void enterToFreqLayout(APP_data_t *app_data);
void enterToAmplLayout(APP_data_t *app_data);
void enterToOffslLayout(APP_data_t *app_data);
void enterToPhasLayout(APP_data_t *app_data);
void enterToDutyLayout(APP_data_t *app_data);
void enterToWavelLayout(APP_data_t *app_data);
void moveToLeftFocusFreqNumber(APP_data_t *app_data);
void moveToRighttFocusFreqNumber(APP_data_t *app_data);
void setTo0_01xFocusNumber(APP_data_t *app_data);
void setTo0_1xFocusNumber(APP_data_t *app_data);
void setTo1xFocusNumber(APP_data_t *app_data);
void setTo10xFocusNumber(APP_data_t *app_data);